catch {TE::UTILS::te_msg TE_BD-0 INFO "This block design tcl-file was generate with Trenz Electronic GmbH Board Part:trenz.biz:te0808_9eg_2i_tebf0808:part0:4.0, FPGA: xczu9eg-ffvc900-2-i at 2017-12-18T09:37:03."}
catch {TE::UTILS::te_msg TE_BD-1 INFO "This block design tcl-file was modified by TE-Scripts. Modifications are labelled with comment tag  # #TE_MOD# on the Block-Design tcl-file."}

################################################################
# This is a generated script based on design: zusys
#
# Though there are limitations about the generated script,
# the main purpose of this utility is to make learning
# IP Integrator Tcl commands easier.
################################################################

namespace eval _tcl {
proc get_script_folder {} {
   set script_path [file normalize [info script]]
   set script_folder [file dirname $script_path]
   return $script_folder
}
}
variable script_folder
set script_folder [_tcl::get_script_folder]

################################################################
# Check if script is running in correct Vivado version.
################################################################
set scripts_vivado_version 2017.2
set current_vivado_version [version -short]

if { [string first $scripts_vivado_version $current_vivado_version] == -1 } {
   puts ""
   catch {common::send_msg_id "BD_TCL-109" "ERROR" "This script was generated using Vivado <$scripts_vivado_version> and is being run in <$current_vivado_version> of Vivado. Please run the script in Vivado <$scripts_vivado_version> then open the design in Vivado <$current_vivado_version>. Upgrade the design by running \"Tools => Report => Report IP Status...\", then run write_bd_tcl to create an updated script."}

   return 1
}

################################################################
# START
################################################################

# To test this script, run the following commands from Vivado Tcl console:
# source zusys_script.tcl

# If there is no project opened, this script will create a
# project, but make sure you do not have an existing project
# <./myproj/project_1.xpr> in the current working folder.

set list_projs [get_projects -quiet]
if { $list_projs eq "" } {
   create_project project_1 myproj -part xczu9eg-ffvc900-2-i
   set_property BOARD_PART trenz.biz:te0808_9eg_2i_tebf0808:part0:4.0 [current_project]
}


# CHANGE DESIGN NAME HERE
set design_name zusys

# If you do not already have an existing IP Integrator design open,
# you can create a design using the following command:
#    create_bd_design $design_name

# Creating design if needed
set errMsg ""
set nRet 0

set cur_design [current_bd_design -quiet]
set list_cells [get_bd_cells -quiet]

if { ${design_name} eq "" } {
   # USE CASES:
   #    1) Design_name not set

   set errMsg "Please set the variable <design_name> to a non-empty value."
   set nRet 1

} elseif { ${cur_design} ne "" && ${list_cells} eq "" } {
   # USE CASES:
   #    2): Current design opened AND is empty AND names same.
   #    3): Current design opened AND is empty AND names diff; design_name NOT in project.
   #    4): Current design opened AND is empty AND names diff; design_name exists in project.

   if { $cur_design ne $design_name } {
      common::send_msg_id "BD_TCL-001" "INFO" "Changing value of <design_name> from <$design_name> to <$cur_design> since current design is empty."
      set design_name [get_property NAME $cur_design]
   }
   common::send_msg_id "BD_TCL-002" "INFO" "Constructing design in IPI design <$cur_design>..."

} elseif { ${cur_design} ne "" && $list_cells ne "" && $cur_design eq $design_name } {
   # USE CASES:
   #    5) Current design opened AND has components AND same names.

   set errMsg "Design <$design_name> already exists in your project, please set the variable <design_name> to another value."
   set nRet 1
} elseif { [get_files -quiet ${design_name}.bd] ne "" } {
   # USE CASES: 
   #    6) Current opened design, has components, but diff names, design_name exists in project.
   #    7) No opened design, design_name exists in project.

   set errMsg "Design <$design_name> already exists in your project, please set the variable <design_name> to another value."
   set nRet 2

} else {
   # USE CASES:
   #    8) No opened design, design_name not in project.
   #    9) Current opened design, has components, but diff names, design_name not in project.

   common::send_msg_id "BD_TCL-003" "INFO" "Currently there is no design <$design_name> in project, so creating one..."

   create_bd_design $design_name

   common::send_msg_id "BD_TCL-004" "INFO" "Making design <$design_name> as current_bd_design."
   current_bd_design $design_name

}

common::send_msg_id "BD_TCL-005" "INFO" "Currently the variable <design_name> is equal to \"$design_name\"."

if { $nRet != 0 } {
   catch {common::send_msg_id "BD_TCL-114" "ERROR" $errMsg}
   return $nRet
}

##################################################################
# DESIGN PROCs
##################################################################



# Procedure to create entire design; Provide argument to make
# procedure reusable. If parentCell is "", will use root.
proc create_root_design { parentCell } {

  variable script_folder

  if { $parentCell eq "" } {
     set parentCell [get_bd_cells /]
  }

  # Get object for parentCell
  set parentObj [get_bd_cells $parentCell]
  if { $parentObj == "" } {
     catch {common::send_msg_id "BD_TCL-100" "ERROR" "Unable to find parent cell <$parentCell>!"}
     return
  }

  # Make sure parentObj is hier blk
  set parentType [get_property TYPE $parentObj]
  if { $parentType ne "hier" } {
     catch {common::send_msg_id "BD_TCL-101" "ERROR" "Parent <$parentObj> has TYPE = <$parentType>. Expected to be <hier>."}
     return
  }

  # Save current instance; Restore later
  set oldCurInst [current_bd_instance .]

  # Set parent object as current
  current_bd_instance $parentObj


  # Create interface ports
  set B128_CLK0 [ create_bd_intf_port -mode Slave -vlnv xilinx.com:interface:diff_clock_rtl:1.0 B128_CLK0 ]
  set BASE [ create_bd_intf_port -mode Master -vlnv xilinx.com:user:SC0808BF_bus_rtl:1.0 BASE ]
  set CAN_0 [ create_bd_intf_port -mode Master -vlnv xilinx.com:interface:can_rtl:1.0 CAN_0 ]

  # Create ports
  set ADC_SDATA [ create_bd_port -dir I ADC_SDATA ]
  set BCLK [ create_bd_port -dir I BCLK ]
  set CAN_0_S [ create_bd_port -dir O -from 0 -to 0 CAN_0_S ]
  set DAC_SDATA [ create_bd_port -dir O DAC_SDATA ]
  set LED_HD [ create_bd_port -dir O -from 0 -to 0 LED_HD ]
  set LED_XMOD2 [ create_bd_port -dir O -from 0 -to 0 LED_XMOD2 ]
  set LRCLK [ create_bd_port -dir I LRCLK ]

  # Create instance: SC0808BF_0, and set properties
  set SC0808BF_0 [ create_bd_cell -type ip -vlnv trenz.biz:user:SC0808BF:1.0 SC0808BF_0 ]

  # Create instance: axis_live_audio_0, and set properties
  set axis_live_audio_0 [ create_bd_cell -type ip -vlnv trenz.biz:user:axis_live_audio:1.0 axis_live_audio_0 ]
  set_property -dict [ list \
CONFIG.C_USE_AUDIO_IN {false} \
CONFIG.C_USE_AUDIO_OUT {true} \
 ] $axis_live_audio_0

  # Create instance: proc_sys_reset_0, and set properties
  set proc_sys_reset_0 [ create_bd_cell -type ip -vlnv xilinx.com:ip:proc_sys_reset:5.0 proc_sys_reset_0 ]

  # Create instance: proc_sys_reset_1, and set properties
  set proc_sys_reset_1 [ create_bd_cell -type ip -vlnv xilinx.com:ip:proc_sys_reset:5.0 proc_sys_reset_1 ]

  # Create instance: util_ds_buf_0, and set properties
  set util_ds_buf_0 [ create_bd_cell -type ip -vlnv xilinx.com:ip:util_ds_buf:2.1 util_ds_buf_0 ]
  set_property -dict [ list \
CONFIG.C_BUF_TYPE {IBUFDSGTE} \
 ] $util_ds_buf_0

  # Create instance: util_ds_buf_1, and set properties
  set util_ds_buf_1 [ create_bd_cell -type ip -vlnv xilinx.com:ip:util_ds_buf:2.1 util_ds_buf_1 ]
  set_property -dict [ list \
CONFIG.C_BUF_TYPE {BUFG_GT} \
 ] $util_ds_buf_1

  # Create instance: vio_general, and set properties
  set vio_general [ create_bd_cell -type ip -vlnv xilinx.com:ip:vio:3.0 vio_general ]
  set_property -dict [ list \
CONFIG.C_EN_PROBE_IN_ACTIVITY {0} \
CONFIG.C_NUM_PROBE_IN {0} \
CONFIG.C_NUM_PROBE_OUT {3} \
 ] $vio_general

  # Create instance: vio_rgpio, and set properties
  set vio_rgpio [ create_bd_cell -type ip -vlnv xilinx.com:ip:vio:3.0 vio_rgpio ]
  set_property -dict [ list \
CONFIG.C_NUM_PROBE_IN {4} \
CONFIG.C_NUM_PROBE_OUT {2} \
CONFIG.C_PROBE_OUT0_WIDTH {32} \
CONFIG.C_PROBE_OUT1_WIDTH {32} \
 ] $vio_rgpio

  # Create instance: zynq_ultra_ps_e_0, and set properties
  set zynq_ultra_ps_e_0 [ create_bd_cell -type ip -vlnv xilinx.com:ip:zynq_ultra_ps_e:3.0 zynq_ultra_ps_e_0 ]
# #TE_MOD#_Add next line#
  apply_bd_automation -rule xilinx.com:bd_rule:zynq_ultra_ps_e -config {apply_board_preset "1" }  [get_bd_cells zynq_ultra_ps_e_0]
# #TE_MOD#_Add next line#
  set tcl_ext [];if { [catch {set tcl_ext [glob -join -dir ${TE::BOARDDEF_PATH}/carrier_extension/ *_preset.tcl]}] } {};foreach carrier_ext $tcl_ext { source  $carrier_ext};
# #TE_MOD#   set_property -dict [ list \
# #TE_MOD#  ] $zynq_ultra_ps_e_0

# #TE_MOD# CONFIG.PSU__USE__VIDEO {1} \
# #TE_MOD# CONFIG.PSU__USE__AUDIO {1} \
# #TE_MOD# CONFIG.PSU__USB3_0__PERIPHERAL__IO {GT Lane1} \
# #TE_MOD# CONFIG.PSU__USB3_0__PERIPHERAL__ENABLE {1} \
# #TE_MOD# CONFIG.PSU__USB0__REF_CLK_SEL {Ref Clk2} \
# #TE_MOD# CONFIG.PSU__USB0__REF_CLK_FREQ {100} \
# #TE_MOD# CONFIG.PSU__USB0__PERIPHERAL__IO {MIO 52 .. 63} \
# #TE_MOD# CONFIG.PSU__USB0__PERIPHERAL__ENABLE {1} \
# #TE_MOD# CONFIG.PSU__UART0__PERIPHERAL__IO {MIO 42 .. 43} \
# #TE_MOD# CONFIG.PSU__UART0__PERIPHERAL__ENABLE {1} \
# #TE_MOD# CONFIG.PSU__UART0__BAUD_RATE {115200} \
# #TE_MOD# CONFIG.PSU__SD1__SLOT_TYPE {SD 2.0} \
# #TE_MOD# CONFIG.PSU__SD1__PERIPHERAL__IO {MIO 46 .. 51} \
# #TE_MOD# CONFIG.PSU__SD1__PERIPHERAL__ENABLE {1} \
# #TE_MOD# CONFIG.PSU__SD1__GRP_WP__IO {MIO 44} \
# #TE_MOD# CONFIG.PSU__SD1__GRP_WP__ENABLE {1} \
# #TE_MOD# CONFIG.PSU__SD1__GRP_CD__IO {MIO 45} \
# #TE_MOD# CONFIG.PSU__SD1__GRP_CD__ENABLE {1} \
# #TE_MOD# CONFIG.PSU__SD1__DATA_TRANSFER_MODE {4Bit} \
# #TE_MOD# CONFIG.PSU__SD0__SLOT_TYPE {eMMC} \
# #TE_MOD# CONFIG.PSU__SD0__RESET__ENABLE {1} \
# #TE_MOD# CONFIG.PSU__SD0__PERIPHERAL__IO {MIO 13 .. 22} \
# #TE_MOD# CONFIG.PSU__SD0__PERIPHERAL__ENABLE {1} \
# #TE_MOD# CONFIG.PSU__SD0__GRP_POW__IO {MIO 23} \
# #TE_MOD# CONFIG.PSU__SD0__GRP_POW__ENABLE {1} \
# #TE_MOD# CONFIG.PSU__SD0__DATA_TRANSFER_MODE {8Bit} \
# #TE_MOD# CONFIG.PSU__SATA__REF_CLK_SEL {Ref Clk1} \
# #TE_MOD# CONFIG.PSU__SATA__REF_CLK_FREQ {150} \
# #TE_MOD# CONFIG.PSU__SATA__PERIPHERAL__ENABLE {1} \
# #TE_MOD# CONFIG.PSU__SATA__LANE1__ENABLE {0} \
# #TE_MOD# CONFIG.PSU__SATA__LANE0__IO {GT Lane2} \
# #TE_MOD# CONFIG.PSU__SATA__LANE0__ENABLE {1} \
# #TE_MOD# CONFIG.PSU__QSPI__PERIPHERAL__MODE {Dual Parallel} \
# #TE_MOD# CONFIG.PSU__QSPI__PERIPHERAL__IO {MIO 0 .. 12} \
# #TE_MOD# CONFIG.PSU__QSPI__PERIPHERAL__ENABLE {1} \
# #TE_MOD# CONFIG.PSU__QSPI__PERIPHERAL__DATA_MODE {x4} \
# #TE_MOD# CONFIG.PSU__QSPI__GRP_FBCLK__IO {MIO 6} \
# #TE_MOD# CONFIG.PSU__QSPI__GRP_FBCLK__ENABLE {1} \
# #TE_MOD# CONFIG.PSU__PSS_REF_CLK__FREQMHZ {33.33333} \
# #TE_MOD# CONFIG.PSU__PL_CLK1_BUF {TRUE} \
# #TE_MOD# CONFIG.PSU__PJTAG__PERIPHERAL__IO {MIO 26 .. 29} \
# #TE_MOD# CONFIG.PSU__PJTAG__PERIPHERAL__ENABLE {1} \
# #TE_MOD# CONFIG.PSU__PCIE__VENDOR_ID {0x10EE} \
# #TE_MOD# CONFIG.PSU__PCIE__SUBSYSTEM_VENDOR_ID {0x10EE} \
# #TE_MOD# CONFIG.PSU__PCIE__SUBSYSTEM_ID {0x7} \
# #TE_MOD# CONFIG.PSU__PCIE__REVISION_ID {0x0} \
# #TE_MOD# CONFIG.PSU__PCIE__REF_CLK_SEL {Ref Clk2} \
# #TE_MOD# CONFIG.PSU__PCIE__REF_CLK_FREQ {100} \
# #TE_MOD# CONFIG.PSU__PCIE__PERIPHERAL__ROOTPORT_IO {MIO 31} \
# #TE_MOD# CONFIG.PSU__PCIE__PERIPHERAL__ROOTPORT_ENABLE {1} \
# #TE_MOD# CONFIG.PSU__PCIE__PERIPHERAL__ENDPOINT_ENABLE {0} \
# #TE_MOD# CONFIG.PSU__PCIE__PERIPHERAL__ENABLE {1} \
# #TE_MOD# CONFIG.PSU__PCIE__MAX_PAYLOAD_SIZE {256 bytes} \
# #TE_MOD# CONFIG.PSU__PCIE__MAXIMUM_LINK_WIDTH {x1} \
# #TE_MOD# CONFIG.PSU__PCIE__LINK_SPEED {5.0 Gb/s} \
# #TE_MOD# CONFIG.PSU__PCIE__LANE0__IO {GT Lane0} \
# #TE_MOD# CONFIG.PSU__PCIE__LANE0__ENABLE {1} \
# #TE_MOD# CONFIG.PSU__PCIE__EROM_VAL {0x0} \
# #TE_MOD# CONFIG.PSU__PCIE__DEVICE_PORT_TYPE {Root Port} \
# #TE_MOD# CONFIG.PSU__PCIE__DEVICE_ID {0xD021} \
# #TE_MOD# CONFIG.PSU__PCIE__CLASS_CODE_VALUE {0x60400} \
# #TE_MOD# CONFIG.PSU__PCIE__CLASS_CODE_SUB {0x04} \
# #TE_MOD# CONFIG.PSU__PCIE__CLASS_CODE_INTERFACE {0x0} \
# #TE_MOD# CONFIG.PSU__PCIE__CLASS_CODE_BASE {0x06} \
# #TE_MOD# CONFIG.PSU__PCIE__BAR5_VAL {0x0} \
# #TE_MOD# CONFIG.PSU__PCIE__BAR4_VAL {0x0} \
# #TE_MOD# CONFIG.PSU__PCIE__BAR3_VAL {0x0} \
# #TE_MOD# CONFIG.PSU__PCIE__BAR2_VAL {0x0} \
# #TE_MOD# CONFIG.PSU__PCIE__BAR1_VAL {0x0} \
# #TE_MOD# CONFIG.PSU__PCIE__BAR0_VAL {0x0} \
# #TE_MOD# CONFIG.PSU__I2C0__PERIPHERAL__IO {MIO 38 .. 39} \
# #TE_MOD# CONFIG.PSU__I2C0__PERIPHERAL__ENABLE {1} \
# #TE_MOD# CONFIG.PSU__GT__VLT_SWNG_LVL_4 {0} \
# #TE_MOD# CONFIG.PSU__GT__PRE_EMPH_LVL_4 {0} \
# #TE_MOD# CONFIG.PSU__GT__LINK_SPEED {HBR} \
# #TE_MOD# CONFIG.PSU__GPIO0_MIO__PERIPHERAL__ENABLE {1} \
# #TE_MOD# CONFIG.PSU__GPIO0_MIO__IO {MIO 0 .. 25} \
# #TE_MOD# CONFIG.PSU__FPGA_PL1_ENABLE {1} \
# #TE_MOD# CONFIG.PSU__ENET3__PERIPHERAL__IO {MIO 64 .. 75} \
# #TE_MOD# CONFIG.PSU__ENET3__PERIPHERAL__ENABLE {1} \
# #TE_MOD# CONFIG.PSU__ENET3__GRP_MDIO__IO {MIO 76 .. 77} \
# #TE_MOD# CONFIG.PSU__ENET3__GRP_MDIO__ENABLE {1} \
# #TE_MOD# CONFIG.PSU__DP__REF_CLK_SEL {Ref Clk3} \
# #TE_MOD# CONFIG.PSU__DP__REF_CLK_FREQ {27} \
# #TE_MOD# CONFIG.PSU__DP__LANE_SEL {Single Higher} \
# #TE_MOD# CONFIG.PSU__DPAUX__PERIPHERAL__IO {EMIO} \
# #TE_MOD# CONFIG.PSU__DPAUX__PERIPHERAL__ENABLE {1} \
# #TE_MOD# CONFIG.PSU__DLL__ISUSED {1} \
# #TE_MOD# CONFIG.PSU__DISPLAYPORT__PERIPHERAL__ENABLE {1} \
# #TE_MOD# CONFIG.PSU__DISPLAYPORT__LANE0__IO {GT Lane3} \
# #TE_MOD# CONFIG.PSU__DISPLAYPORT__LANE0__ENABLE {1} \
# #TE_MOD# CONFIG.PSU__DDR__INTERFACE__FREQMHZ {600.000} \
# #TE_MOD# CONFIG.PSU__DDR_HIGH_ADDRESS_GUI_ENABLE {1} \
# #TE_MOD# CONFIG.PSU__DDRC__T_RP {17} \
# #TE_MOD# CONFIG.PSU__DDRC__T_RCD {17} \
# #TE_MOD# CONFIG.PSU__DDRC__T_RC {50} \
# #TE_MOD# CONFIG.PSU__DDRC__T_RAS_MIN {32.0} \
# #TE_MOD# CONFIG.PSU__DDRC__T_FAW {30.0} \
# #TE_MOD# CONFIG.PSU__DDRC__SPEED_BIN {DDR4_2400P} \
# #TE_MOD# CONFIG.PSU__DDRC__SB_TARGET {14-14-14} \
# #TE_MOD# CONFIG.PSU__DDRC__ROW_ADDR_COUNT {16} \
# #TE_MOD# CONFIG.PSU__DDRC__FGRM {4X} \
# #TE_MOD# CONFIG.PSU__DDRC__DRAM_WIDTH {16 Bits} \
# #TE_MOD# CONFIG.PSU__DDRC__DEVICE_CAPACITY {8192 MBits} \
# #TE_MOD# CONFIG.PSU__DDRC__CWL {16} \
# #TE_MOD# CONFIG.PSU__DDRC__CL {17} \
# #TE_MOD# CONFIG.PSU__DDRC__BG_ADDR_COUNT {1} \
# #TE_MOD# CONFIG.PSU__CSUPMU__PERIPHERAL__VALID {0} \
# #TE_MOD# CONFIG.PSU__CRL_APB__USB3__ENABLE {1} \
# #TE_MOD# CONFIG.PSU__CRL_APB__USB3_DUAL_REF_CTRL__DIVISOR1 {3} \
# #TE_MOD# CONFIG.PSU__CRL_APB__USB3_DUAL_REF_CTRL__DIVISOR0 {25} \
# #TE_MOD# CONFIG.PSU__CRL_APB__SDIO1_REF_CTRL__DIVISOR0 {5} \
# #TE_MOD# CONFIG.PSU__CRL_APB__SDIO0_REF_CTRL__DIVISOR0 {5} \
# #TE_MOD# CONFIG.PSU__CRL_APB__RPLL_CTRL__FBDIV {60} \
# #TE_MOD# CONFIG.PSU__CRL_APB__PL1_REF_CTRL__SRCSEL {IOPLL} \
# #TE_MOD# CONFIG.PSU__CRL_APB__PL1_REF_CTRL__FREQMHZ {25} \
# #TE_MOD# CONFIG.PSU__CRL_APB__PL1_REF_CTRL__DIVISOR0 {60} \
# #TE_MOD# CONFIG.PSU__CRL_APB__PL0_REF_CTRL__SRCSEL {IOPLL} \
# #TE_MOD# CONFIG.PSU__CRL_APB__PL0_REF_CTRL__DIVISOR0 {15} \
# #TE_MOD# CONFIG.PSU__CRL_APB__PCAP_CTRL__DIVISOR0 {8} \
# #TE_MOD# CONFIG.PSU__CRL_APB__LPD_LSBUS_CTRL__DIVISOR0 {15} \
# #TE_MOD# CONFIG.PSU__CRL_APB__IOPLL_TO_FPD_CTRL__DIVISOR0 {3} \
# #TE_MOD# CONFIG.PSU__CRL_APB__IOPLL_CTRL__FBDIV {90} \
# #TE_MOD# CONFIG.PSU__CRL_APB__GEM_TSU_REF_CTRL__DIVISOR0 {6} \
# #TE_MOD# CONFIG.PSU__CRL_APB__DBG_LPD_CTRL__DIVISOR0 {6} \
# #TE_MOD# CONFIG.PSU__CRL_APB__AMS_REF_CTRL__DIVISOR0 {30} \
# #TE_MOD# CONFIG.PSU__CRF_APB__VPLL_TO_LPD_CTRL__DIVISOR0 {3} \
# #TE_MOD# CONFIG.PSU__CRF_APB__VPLL_CTRL__FBDIV {90} \
# #TE_MOD# CONFIG.PSU__CRF_APB__VPLL_CTRL__DIV2 {1} \
# #TE_MOD# CONFIG.PSU__CRF_APB__TOPSW_MAIN_CTRL__SRCSEL {APLL} \
# #TE_MOD# CONFIG.PSU__CRF_APB__TOPSW_MAIN_CTRL__DIVISOR0 {3} \
# #TE_MOD# CONFIG.PSU__CRF_APB__SATA_REF_CTRL__DIVISOR0 {2} \
# #TE_MOD# CONFIG.PSU__CRF_APB__PCIE_REF_CTRL__DIVISOR0 {2} \
# #TE_MOD# CONFIG.PSU__CRF_APB__DP_VIDEO_REF_CTRL__SRCSEL {VPLL} \
# #TE_MOD# CONFIG.PSU__CRF_APB__DP_VIDEO_REF_CTRL__DIVISOR0 {5} \
# #TE_MOD# CONFIG.PSU__CRF_APB__DP_STC_REF_CTRL__SRCSEL {VPLL} \
# #TE_MOD# CONFIG.PSU__CRF_APB__DP_STC_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD# CONFIG.PSU__CRF_APB__DP_STC_REF_CTRL__DIVISOR0 {56} \
# #TE_MOD# CONFIG.PSU__CRF_APB__DP_AUDIO_REF_CTRL__SRCSEL {VPLL} \
# #TE_MOD# CONFIG.PSU__CRF_APB__DP_AUDIO_REF_CTRL__DIVISOR0 {60} \
# #TE_MOD# CONFIG.PSU__CRF_APB__DDR_CTRL__FREQMHZ {1200} \
# #TE_MOD# CONFIG.PSU__CRF_APB__DDR_CTRL__DIVISOR0 {2} \
# #TE_MOD# CONFIG.PSU__CRF_APB__APLL_CTRL__FBDIV {79} \
# #TE_MOD# CONFIG.PSU__CAN0__PERIPHERAL__IO {EMIO} \
# #TE_MOD# CONFIG.PSU__CAN0__PERIPHERAL__ENABLE {1} \
# #TE_MOD# CONFIG.PSU_MIO_9_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_8_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_7_DIRECTION {out} \
# #TE_MOD# CONFIG.PSU_MIO_77_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_76_DIRECTION {out} \
# #TE_MOD# CONFIG.PSU_MIO_75_DIRECTION {in} \
# #TE_MOD# CONFIG.PSU_MIO_74_DIRECTION {in} \
# #TE_MOD# CONFIG.PSU_MIO_73_DIRECTION {in} \
# #TE_MOD# CONFIG.PSU_MIO_72_DIRECTION {in} \
# #TE_MOD# CONFIG.PSU_MIO_71_DIRECTION {in} \
# #TE_MOD# CONFIG.PSU_MIO_70_DIRECTION {in} \
# #TE_MOD# CONFIG.PSU_MIO_6_DIRECTION {out} \
# #TE_MOD# CONFIG.PSU_MIO_69_DIRECTION {out} \
# #TE_MOD# CONFIG.PSU_MIO_68_DIRECTION {out} \
# #TE_MOD# CONFIG.PSU_MIO_67_DIRECTION {out} \
# #TE_MOD# CONFIG.PSU_MIO_66_DIRECTION {out} \
# #TE_MOD# CONFIG.PSU_MIO_65_DIRECTION {out} \
# #TE_MOD# CONFIG.PSU_MIO_64_DIRECTION {out} \
# #TE_MOD# CONFIG.PSU_MIO_63_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_62_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_61_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_60_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_5_DIRECTION {out} \
# #TE_MOD# CONFIG.PSU_MIO_59_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_58_DIRECTION {out} \
# #TE_MOD# CONFIG.PSU_MIO_57_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_56_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_55_DIRECTION {in} \
# #TE_MOD# CONFIG.PSU_MIO_54_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_53_DIRECTION {in} \
# #TE_MOD# CONFIG.PSU_MIO_52_DIRECTION {in} \
# #TE_MOD# CONFIG.PSU_MIO_51_PULLUPDOWN {disable} \
# #TE_MOD# CONFIG.PSU_MIO_51_DIRECTION {out} \
# #TE_MOD# CONFIG.PSU_MIO_50_PULLUPDOWN {disable} \
# #TE_MOD# CONFIG.PSU_MIO_50_INPUT_TYPE {cmos} \
# #TE_MOD# CONFIG.PSU_MIO_50_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_4_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_49_PULLUPDOWN {disable} \
# #TE_MOD# CONFIG.PSU_MIO_49_INPUT_TYPE {cmos} \
# #TE_MOD# CONFIG.PSU_MIO_49_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_48_PULLUPDOWN {disable} \
# #TE_MOD# CONFIG.PSU_MIO_48_INPUT_TYPE {cmos} \
# #TE_MOD# CONFIG.PSU_MIO_48_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_47_PULLUPDOWN {disable} \
# #TE_MOD# CONFIG.PSU_MIO_47_INPUT_TYPE {cmos} \
# #TE_MOD# CONFIG.PSU_MIO_47_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_46_PULLUPDOWN {disable} \
# #TE_MOD# CONFIG.PSU_MIO_46_INPUT_TYPE {cmos} \
# #TE_MOD# CONFIG.PSU_MIO_46_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_45_PULLUPDOWN {disable} \
# #TE_MOD# CONFIG.PSU_MIO_45_INPUT_TYPE {cmos} \
# #TE_MOD# CONFIG.PSU_MIO_45_DIRECTION {in} \
# #TE_MOD# CONFIG.PSU_MIO_44_PULLUPDOWN {disable} \
# #TE_MOD# CONFIG.PSU_MIO_44_INPUT_TYPE {cmos} \
# #TE_MOD# CONFIG.PSU_MIO_44_DIRECTION {in} \
# #TE_MOD# CONFIG.PSU_MIO_43_DIRECTION {out} \
# #TE_MOD# CONFIG.PSU_MIO_42_DIRECTION {in} \
# #TE_MOD# CONFIG.PSU_MIO_3_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_39_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_38_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_31_DIRECTION {out} \
# #TE_MOD# CONFIG.PSU_MIO_2_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_29_DIRECTION {in} \
# #TE_MOD# CONFIG.PSU_MIO_28_DIRECTION {out} \
# #TE_MOD# CONFIG.PSU_MIO_27_DIRECTION {in} \
# #TE_MOD# CONFIG.PSU_MIO_26_DIRECTION {in} \
# #TE_MOD# CONFIG.PSU_MIO_25_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_24_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_23_DIRECTION {out} \
# #TE_MOD# CONFIG.PSU_MIO_22_DIRECTION {out} \
# #TE_MOD# CONFIG.PSU_MIO_21_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_20_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_1_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_19_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_18_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_17_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_16_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_15_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_14_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_13_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_12_DIRECTION {out} \
# #TE_MOD# CONFIG.PSU_MIO_11_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_10_DIRECTION {inout} \
# #TE_MOD# CONFIG.PSU_MIO_0_DIRECTION {out} \
# #TE_MOD# CONFIG.PSU_DDR_RAM_HIGHADDR_OFFSET {0x80000000} \
# #TE_MOD# CONFIG.PSU_DDR_RAM_HIGHADDR {0xFFFFFFFF} \
# #TE_MOD# CONFIG.PSU_BANK_3_IO_STANDARD {LVCMOS18} \
# #TE_MOD# CONFIG.PSU_BANK_2_IO_STANDARD {LVCMOS18} \
# #TE_MOD# CONFIG.PSU_BANK_1_IO_STANDARD {LVCMOS18} \
# #TE_MOD# CONFIG.PSU_BANK_0_IO_STANDARD {LVCMOS18} \
# #TE_MOD# #Empty Line
  # Create interface connections
  connect_bd_intf_net -intf_net B128_CLK0_1 [get_bd_intf_ports B128_CLK0] [get_bd_intf_pins util_ds_buf_0/CLK_IN_D]
  connect_bd_intf_net -intf_net SC0808BF_0_BASE [get_bd_intf_ports BASE] [get_bd_intf_pins SC0808BF_0/BASE]
  connect_bd_intf_net -intf_net axis_live_audio_0_m_axis [get_bd_intf_pins axis_live_audio_0/m_axis] [get_bd_intf_pins zynq_ultra_ps_e_0/S_AXIS_AUDIO]
  connect_bd_intf_net -intf_net zynq_ultra_ps_e_0_CAN_0 [get_bd_intf_ports CAN_0] [get_bd_intf_pins zynq_ultra_ps_e_0/CAN_0]
  connect_bd_intf_net -intf_net zynq_ultra_ps_e_0_M_AXIS_MIXED_AUDIO [get_bd_intf_pins axis_live_audio_0/s_axis] [get_bd_intf_pins zynq_ultra_ps_e_0/M_AXIS_MIXED_AUDIO]

  # Create port connections
  connect_bd_net -net ADC_SDATA_1 [get_bd_ports ADC_SDATA] [get_bd_pins axis_live_audio_0/ADC_SDATA]
  connect_bd_net -net BCLK_1 [get_bd_ports BCLK] [get_bd_pins axis_live_audio_0/BCLK]
  connect_bd_net -net LRCLK_1 [get_bd_ports LRCLK] [get_bd_pins axis_live_audio_0/LRCLK]
  connect_bd_net -net SC0808BF_0_MASTER_RGPIO_ACTIVE [get_bd_pins SC0808BF_0/MASTER_RGPIO_ACTIVE] [get_bd_pins vio_rgpio/probe_in2]
  connect_bd_net -net SC0808BF_0_MASTER_RGPIO_I [get_bd_pins SC0808BF_0/MASTER_RGPIO_I] [get_bd_pins vio_rgpio/probe_out0]
  connect_bd_net -net SC0808BF_0_MASTER_RGPIO_O [get_bd_pins SC0808BF_0/MASTER_RGPIO_O] [get_bd_pins vio_rgpio/probe_in0]
  connect_bd_net -net SC0808BF_0_PS_AUX_DI [get_bd_pins SC0808BF_0/PS_AUX_DI] [get_bd_pins zynq_ultra_ps_e_0/dp_aux_data_in]
  connect_bd_net -net SC0808BF_0_PS_HPD [get_bd_pins SC0808BF_0/PS_HPD] [get_bd_pins zynq_ultra_ps_e_0/dp_hot_plug_detect]
  connect_bd_net -net SC0808BF_0_SLAVE_RGPIO_ACTIVE [get_bd_pins SC0808BF_0/SLAVE_RGPIO_ACTIVE] [get_bd_pins vio_rgpio/probe_in3]
  connect_bd_net -net SC0808BF_0_SLAVE_RGPIO_I [get_bd_pins SC0808BF_0/SLAVE_RGPIO_I] [get_bd_pins vio_rgpio/probe_out1]
  connect_bd_net -net SC0808BF_0_SLAVE_RGPIO_O [get_bd_pins SC0808BF_0/SLAVE_RGPIO_O] [get_bd_pins vio_rgpio/probe_in1]
  connect_bd_net -net axis_live_audio_0_DAC_SDATA [get_bd_ports DAC_SDATA] [get_bd_pins axis_live_audio_0/DAC_SDATA]
  connect_bd_net -net proc_sys_reset_0_peripheral_aresetn [get_bd_pins SC0808BF_0/sys_resetn] [get_bd_pins proc_sys_reset_0/peripheral_aresetn]
  connect_bd_net -net proc_sys_reset_1_peripheral_aresetn [get_bd_pins axis_live_audio_0/axis_aresetn] [get_bd_pins proc_sys_reset_1/peripheral_aresetn]
  connect_bd_net -net util_ds_buf_0_IBUF_DS_ODIV2 [get_bd_pins util_ds_buf_0/IBUF_DS_ODIV2] [get_bd_pins util_ds_buf_1/BUFG_GT_I]
  connect_bd_net -net util_ds_buf_1_BUFG_GT_O [get_bd_pins util_ds_buf_1/BUFG_GT_O] [get_bd_pins zynq_ultra_ps_e_0/dp_video_in_clk]
  connect_bd_net -net vio_CAN_0_S [get_bd_ports CAN_0_S] [get_bd_pins vio_general/probe_out2]
  connect_bd_net -net vio_LED_HD [get_bd_ports LED_HD] [get_bd_pins vio_general/probe_out1]
  connect_bd_net -net vio_LED_XMOD2 [get_bd_ports LED_XMOD2] [get_bd_pins vio_general/probe_out0]
  connect_bd_net -net zynq_ultra_ps_e_0_dp_audio_ref_clk [get_bd_pins axis_live_audio_0/ref_clk_in] [get_bd_pins zynq_ultra_ps_e_0/dp_audio_ref_clk] [get_bd_pins zynq_ultra_ps_e_0/dp_s_axis_audio_clk]
  connect_bd_net -net zynq_ultra_ps_e_0_dp_aux_data_oe_n [get_bd_pins SC0808BF_0/PS_AUX_OE] [get_bd_pins zynq_ultra_ps_e_0/dp_aux_data_oe_n]
  connect_bd_net -net zynq_ultra_ps_e_0_dp_aux_data_out [get_bd_pins SC0808BF_0/PS_AUX_DO] [get_bd_pins zynq_ultra_ps_e_0/dp_aux_data_out]
  connect_bd_net -net zynq_ultra_ps_e_0_pl_clk0 [get_bd_pins SC0808BF_0/sys_clock] [get_bd_pins proc_sys_reset_0/slowest_sync_clk] [get_bd_pins vio_rgpio/clk] [get_bd_pins zynq_ultra_ps_e_0/pl_clk1]
  connect_bd_net -net zynq_ultra_ps_e_0_pl_clk1 [get_bd_pins axis_live_audio_0/axis_aclk] [get_bd_pins proc_sys_reset_1/slowest_sync_clk] [get_bd_pins vio_general/clk] [get_bd_pins zynq_ultra_ps_e_0/maxihpm0_lpd_aclk] [get_bd_pins zynq_ultra_ps_e_0/pl_clk0]
  connect_bd_net -net zynq_ultra_ps_e_0_pl_resetn0 [get_bd_pins proc_sys_reset_0/ext_reset_in] [get_bd_pins proc_sys_reset_1/ext_reset_in] [get_bd_pins zynq_ultra_ps_e_0/pl_resetn0]

  # Create address segments


  # Restore current instance
  current_bd_instance $oldCurInst

  save_bd_design
}
# End of create_root_design()


##################################################################
# MAIN FLOW
##################################################################

create_root_design ""



